Bug 446354 - evince fails to print PDF file
evince fails to print PDF file
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
8
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
:
: 444442 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 05:15 EDT by Tim Waugh
Modified: 2009-01-09 01:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:30:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
papercdcase.pdf (16.11 KB, application/octet-stream)
2008-05-14 05:15 EDT, Tim Waugh
no flags Details
strace output (289.33 KB, text/plain)
2008-05-14 05:24 EDT, Tim Waugh
no flags Details

  None (edit)
Description Tim Waugh 2008-05-14 05:15:17 EDT
Description of problem:
Evince fails to print the attached PDF file.  'lp papercdcase.pdf' works fine.

Version-Release number of selected component (if applicable):
evince-2.20.2-1.fc8

How reproducible:
100%

Steps to Reproduce:
1.evince
2.Open papercdcase.pdf
3.File->Print
4.Select printer
5.Click Print
  
Actual results:
Dialog disappears, nothing else happens.

Expected results:
Dialog disappears, file is printed.

Additional info:
Strace shows that evince is failing to submit the print file after sending the
job request.
Comment 1 Tim Waugh 2008-05-14 05:15:17 EDT
Created attachment 305341 [details]
papercdcase.pdf
Comment 2 Tim Waugh 2008-05-14 05:24:25 EDT
Created attachment 305342 [details]
strace output

See lines 14484 & 14556 for the 'POST /printers/Stylus_D78' request and line
14563 for the error response from the server.
Comment 3 Tim Waugh 2008-05-14 05:27:03 EDT
*** Bug 444442 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2008-11-26 05:42:07 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Tim Waugh 2008-11-26 13:07:28 EST
This seems fine in Fedora 9.
Comment 6 Bug Zapper 2009-01-09 01:30:24 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.